Browse Source

setting up travis to deploy only on master

Jhonny Mertz 6 years ago
parent
commit
11f5d87bcb
1 changed files with 3 additions and 10 deletions
  1. 3 10
      deploy/publish.sh

+ 3 - 10
deploy/publish.sh

@@ -1,13 +1,6 @@
 #!/bin/bash
 
-if [ "$TRAVIS_PULL_REQUEST" == "false"  ]; then
-	echo "PR"
-  echo "$TRAVIS_PULL_REQUEST"
-    #mvn deploy --settings $GPG_DIR/settings.xml -DperformRelease=true -DskipTests=true
-    #exit $?
-fi
-
-if [ "$TRAVIS_BRANCH" == "master" ]; then
-  echo "master"
-  echo "$TRAVIS_BRANCH"
+if [[ ($TRAVIS_PULL_REQUEST == "false") && ($TRAVIS_BRANCH == "master") ]]; then
+    mvn deploy --settings $GPG_DIR/settings.xml -DperformRelease=true -DskipTests=true
+    exit $?
 fi